Subject: Re: bug#18107: emacsclient: maximization and size hints

From: martin rudalics <[email-masked]>
Date: Sat, 26 Jul 2014 11:00:29 +0200

> When you call emacsclient like this:
 >
 >     emacsclient -c  -F "((fullscreen . maximized))"
 >
 > the maximization ignores the size hints and some residual area could
 > be left behind, looking like a phantom modeline below the real one.
 > This doesn't happen when you manually or programatically maximize
 > emacs after launch. Extra space could be reserved at the east and
 > south edges, of course, because of the multiple-of-char-size
 > restriction, but this extra space is correctly painted with the
 > background color. It seems to me like some issue with the order of the
 > initialization sequence.
 >
 > Nevertheless, I believe this is mostly irrelevant for 24.4 as the
 > multiple-of-char-size restriction would be no more binding.

Sorry, I completely fail to understand what you did.  What is a "phantom
modeline below the real one"?  Which version did you use on which build?

Thanks, martin